from typing import Annotated

from pydantic import BaseModel
from fastapi import Depends


class _Config(BaseModel):
    # DB URI for sqlmodel
    database: str


def load_config() -> _Config:
    """
    Load the application config
    """
    # TODO: Actually load it
    return _Config(
        database="sqlite:///db.sqlite3",
    )


ConfigDep = Annotated[_Config, Depends(load_config)]
